libprop: TimeRemaining Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# TimeRemaining Class Reference

Helpful class to express remaining time to a user. Displays a progress bar with a remaining time in minutes and seconds. More...

`#include <utils.h>`

List of all members.

## Public Member Functions
| TimeRemaining (int _max, int _display)
void | increment ()
| Increment our internal counter by one task. Will update the user display if needed.
## Private Attributes
int | value
| Current increment value.
int | display
| Number of every increment() calls we update display.
int | max
| Total number of increment() calls we expect to process.
int | wide
| Width of progress bar to output.
time_t | start
| Marked starting time of first increment() call.

## Detailed Description

Helpful class to express remaining time to a user. Displays a progress bar with a remaining time in minutes and seconds.

## Constructor & Destructor Documentation

TimeRemaining::TimeRemaining | ( | int | _max,
|  | int | _display |
| ) |  |  |

Create a new progress bar with user output.

Parameters:

  | _max | The total number of increment() calls that we expect to process
  | _display | Update the user display after every "display" number of increment() calls

## Member Function Documentation

void TimeRemaining::increment | ( |  | ) |

Increment our internal counter by one task. Will update the user display if needed.

## Member Data Documentation

int TimeRemaining::value`[private]`

Current increment value.

int TimeRemaining::display`[private]`

Number of every increment() calls we update display.

int TimeRemaining::max`[private]`

Total number of increment() calls we expect to process.

int TimeRemaining::wide`[private]`

Width of progress bar to output.

time_t TimeRemaining::start`[private]`

Marked starting time of first increment() call.

The documentation for this class was generated from the following file:

- utils.h